Submit section-level feedback
POST
/api/canvas/{deal_id}/feedback
const url = 'https://example.com/api/canvas/example/feedback';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"section_key":"example","rating":1,"comment":"example","tags":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/canvas/example/feedback \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "section_key": "example", "rating": 1, "comment": "example", "tags": [ "example" ] }'Submit a rating and optional comment for a memo section. Does NOT trigger a revision — use the revision endpoint for that.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
Request Body required
Section titled “Request Body required ” Media type application/json
SectionFeedbackRequest
Request body for submitting section feedback.
object
section_key
required
Section Key
Section key (e.g., ‘executive_summary’)
string
rating
required
Rating
Quality rating (1=poor, 5=excellent)
integer
tags
Any of:
Array<string>
null
Example generated
{ "section_key": "example", "rating": 1, "comment": "example", "tags": [ "example" ]}Responses
Section titled “ Responses ”Successful Response
Media type application/json
SectionFeedbackResponse
Response for feedback submission.
object
success
required
Success
boolean
feedback_id
required
Feedback Id
string
Example generated
{ "success": true, "feedback_id": "example"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}